PUT/impactshop

Edit Impact Shop

This API call allows the user to modify the details of an existing Impact Shop linked to a impactShopId.
PUT/impactshop

Parameter Details

NameInTypeRequiredDescription
impactShopIdqueryintegerRequiredUnique identifier for the Impact Shop.
bodybodyRequirednone

Responses

StatusMeaningDescriptionSchema
200OKOK
400Bad RequestBad RequestNone
401UnauthorizedUnauthorizedNone
429Too Many RequestsToo Many RequestsNone
403ForbiddenForbiddenNone
404Not FoundNot FoundNone
500Internal Server ErrorInternal Server Error.None

Example Request

# You can also use wget
curl -X PUT /impactshop?impactShopId=1 \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "shopName": "",
  "estimatedAttendee": "",
  "city": "",
  "country": "",
  "startDate": "2025-05-06",
  "horizon": 0,
  "eventIds": [],
  "category": "0",
  "subCategory": "0"
}

Example responses

200 Response
{
  "message": "Shop details updated successfully.",
  "shopId": 418
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.